#
# spec file for package rubygem-rspec-support
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rspec-support
Version:        3.7.0
Release:        1.24
%define mod_name rspec-support
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.8.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/rspec/rspec-support
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Common code needed by the other RSpec gems
License:        MIT
Group:          Development/Languages/Ruby

%description
Support utilities for RSpec gems.

%prep

%build

%install
%gem_install \
  --doc-files="Changelog.md LICENSE.md README.md" \
  -f

%gem_packages

%changelog
* Thu Oct 26 2017 coolo@suse.com
- updated to version 3.7.0
  see installed Changelog.md
  [#]## Development
  [Full Changelog](http://github.com/rspec/rspec-support/compare/v3.7.0...master)
  [#]## 3.7.0 / 2017-05-04
  [Full Changelog](http://github.com/rspec/rspec-support/compare/v3.6.0...v3.7.0)
  Enhancements:
  * Improve compatibility with `--enable-frozen-string-literal` option
    on Ruby 2.3+. (Pat Allan, #320)
  * Add `Support.class_of` for extracting class of any object.
    (Yuji Nakayama, #325)
  Bug Fixes:
  * Fix recursive const support to not blow up when given buggy classes
    that raise odd errors from `#to_str`. (Myron Marston, #317)
* Tue May 23 2017 coolo@suse.com
- updated to version 3.6.0
  see installed Changelog.md
  [#]## 3.6.0 / 2017-05-04
  [Full Changelog](http://github.com/rspec/rspec-support/compare/v3.6.0.beta2...3.6.0)
  Enhancements:
  * Import `Source` classes from rspec-core. (Yuji Nakayama, #315)
  [#]## 3.6.0.beta2 / 2016-12-12
  [Full Changelog](http://github.com/rspec/rspec-support/compare/v3.6.0.beta1...v3.6.0.beta2)
  No user-facing changes.
  [#]## 3.6.0.beta1 / 2016-10-09
  [Full Changelog](http://github.com/rspec/rspec-support/compare/v3.5.0...v3.6.0.beta1)
  Bug Fixes:
  * Prevent truncated formatted object output from mangling console codes. (#294, Anson Kelly)
* Sat Jul  2 2016 coolo@suse.com
- updated to version 3.5.0
  see installed Changelog.md
  [#]## 3.5.0 / 2016-07-01
  [Full Changelog](http://github.com/rspec/rspec-support/compare/v3.5.0.beta4...v3.5.0)
  * *No user facing changes since beat4**
  [#]## 3.5.0.beta4 / 2016-06-05
  [Full Changelog](http://github.com/rspec/rspec-support/compare/v3.5.0.beta3...v3.5.0.beta4)
  Enhancements:
  * Improve `MethodSignature` to better support keyword arguments. (#250, Rob Smith).
  [#]## 3.5.0.beta3 / 2016-04-02
  [Full Changelog](http://github.com/rspec/rspec-support/compare/v3.5.0.beta2...v3.5.0.beta3)
  Bug Fixes:
  * Fix `EncodedString` to properly handle the behavior of `String#split`
    on JRuby when the string contains invalid bytes. (Jon Rowe, #268)
  * Fix `ObjectFormatter` so that formatting objects that don't respond to
    `#inspect` (such as `BasicObject`) does not cause `NoMethodError`.
    (Yuji Nakayama, #269)
  * Fix `ObjectFormatter` so that formatting recursive array or hash does not
    cause `SystemStackError`. (Yuji Nakayama, #270, #272)
  [#]## 3.5.0.beta2 / 2016-03-10
  [Full Changelog](http://github.com/rspec/rspec-support/compare/v3.5.0.beta1...v3.5.0.beta2)
  No user-facing changes.
  [#]## 3.5.0.beta1 / 2016-02-06
  [Full Changelog](http://github.com/rspec/rspec-support/compare/v3.4.1...v3.5.0.beta1)
  Enhancements:
  * Improve formatting of objects by allowing truncation to a pre-configured length.
    (Liam M, #256)
* Mon Nov 23 2015 coolo@suse.com
- updated to version 3.4.1
  see installed Changelog.md
  [#]## 3.4.1 / 2015-11-20
  [Full Changelog](http://github.com/rspec/rspec-support/compare/v3.4.0...v3.4.1)
  Bug Fixes:
  * Fix `RSpec::Support::RubyFeature.ripper_supported?` so it returns
    `false` on Rubinius since the Rubinius team has no plans to support
    it. This prevents rspec-core from trying to load and use ripper to
    extract failure snippets. (Aaron Stone, #251)
* Fri Nov 13 2015 coolo@suse.com
- updated to version 3.4.0
  see installed Changelog.md
  [#]## 3.4.0 / 2015-11-11
  [Full Changelog](http://github.com/rspec/rspec-support/compare/v3.3.0...v3.4.0)
  Enhancements:
  * Improve formatting of `Delegator` based objects (e.g. `SimpleDelgator`) in
    failure messages and diffs. (Andrew Horner, #215)
  * Add `ComparableVersion`. (Yuji Nakayama, #245)
  * Add `Ripper` support detection. (Yuji Nakayama, #245)
  Bug Fixes:
  * Work around bug in JRuby that reports that `attr_writer` methods
    have no parameters, causing RSpec's verifying doubles to wrongly
    fail when mocking or stubbing a writer method on JRuby. (Myron Marston, #225)
* Sat Jun 13 2015 coolo@suse.com
- updated to version 3.3.0
  see installed Changelog.md
  [#]## 3.3.0 / 2015-06-12
  [Full Changelog](http://github.com/rspec/rspec-support/compare/v3.2.2...v3.3.0)
  Enhancements:
  * Improve formatting of arrays and hashes in failure messages so they
    use our custom formatting of matchers, time objects, etc.
    (Myron Marston, Nicholas Chmielewski, #205)
  * Use improved formatting for diffs as well. (Nicholas Chmielewski, #205)
  Bug Fixes:
  * Fix `FuzzyMatcher` so that it checks `expected == actual` rather than
    `actual == expected`, which avoids errors in situations where the
    `actual` object's `==` is improperly implemented to assume that only
    objects of the same type will be given. This allows rspec-mocks'
    `anything` to match against objects with buggy `==` definitions.
    (Myron Marston, #193)
* Thu Feb 26 2015 coolo@suse.com
- updated to version 3.2.2
  Bug Fixes:
  * Fix an encoding issue with `EncodedString#split` when encountering an
  invalid byte string. (Benjamin Fleischer, #1760)
* Fri Feb  6 2015 coolo@suse.com
- updated to version 3.2.1
  Bug Fixes:
  * Fix `RSpec::CallerFilter` to work on Rubinius 2.2.
  (Myron Marston, #169)
  [#]## 3.2.0 / 2015-02-03
  [Full Changelog](http://github.com/rspec/rspec-support/compare/v3.1.2...v3.2.0)
  Enhancements:
  * Add extra Ruby type detection. (Jon Rowe, #133)
  * Make differ instance re-usable. (Alexey Fedorov, #160)
  Bug Fixes:
  * Do not consider `[]` and `{}` to match when performing fuzzy matching.
  (Myron Marston, #157)
* Wed Jan 21 2015 coolo@suse.com
- add gem2rpm.yml
* Wed Jan 21 2015 coolo@suse.com
- initial package (3.1.2)
